import { Delete } from "lucide-react";
import deleteSubRegion from "~/server/actions/deleteSubRegion";
import getAllSubRegions from "~/server/actions/getAllSubRegions";

export default async function AllSubRegions() {
  const allSubRegions = await getAllSubRegions();
  return (
    <div className="pt-4">
      <h1 className="text-2xl">All Sub Regions:</h1>
      {allSubRegions.map((subRegion) => (
        <div key={subRegion.id} className="flex gap-1">
          <p>{subRegion.name}</p>
          <form action={deleteSubRegion.bind(null, subRegion.id)}>
            <button>
              <Delete />
            </button>
          </form>
        </div>
      ))}
    </div>
  );
}
