import { Delete } from "lucide-react";
import deleteProducer from "~/server/actions/deleteProducer";
import getAllProducers from "~/server/actions/getAllProducers";

export default async function AllProducers() {
  const allProducers = await getAllProducers();
  return (
    <div className="pt-4">
      <h1 className="text-2xl">All Producers:</h1>
      {allProducers.map((producer) => (
        <div key={producer.id} className="flex gap-1">
          <p>{producer.name}</p>
          <form action={deleteProducer.bind(null, producer.id)}>
            <button>
              <Delete />
            </button>
          </form>
        </div>
      ))}
    </div>
  );
}
